NoActionTransformer (Mule ESB 2.2.1 API)
Keywords: org.mule.transformer.NoActionTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer
Class NoActionTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.NoActionTransformer

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, Transformer

    public final class NoActionTransformer

extends AbstractTransformer

`NoActionTransformer` doesn't do any transformation on the source object and returns the source as the result. This can be used to overload the default transform for an endpoint.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`NoActionTransformer()`

Method Summary
`Object` | `doTransform(Object src, String encoding)`
`boolean` | `isAcceptNull()` Does this transformer allow null input?

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isConsumed, isIgnoreBadInput, isSourceTypeSupported, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoActionTransformer

    public NoActionTransformer()

Method Detail

### doTransform

    public Object doTransform(Object src,
                              String encoding)
                       throws TransformerException

  Specified by:
    `doTransform` in class `AbstractTransformer`
  Throws:
    `TransformerException`

### isAcceptNull

    public boolean isAcceptNull()

  Description copied from interface: `Transformer`
  Does this transformer allow null input?

  Specified by:
    `isAcceptNull` in interface `Transformer`
  Overrides:
    `isAcceptNull` in class `AbstractTransformer`
  Returns:
    true if this transformer can accept null input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.